安装 Keras

  最近终于有时间试试pix2code 了,但是在环境安装上碰到了不少的问题;其中包括Keras 依赖。在训练模型的时候提示没有找到模块No module named keras.layers

  印象中,我一开始的时候就执行了pip install -r ./requirements.txt 来安装所需依赖。这时候还提示找不到Keras 就不对了>_< 。后来在stackoverflow 上找到答案了,原来通过pip 安装的并不是最新的版本;所以使用某些新功能的时候会报错「虽然我不知道pix2code 有没有用新功能」。

  既然安装的不是新版本,那就从GitHub 源安装就好了。先clone 代码下来,然后执行安装命令就可以了。在执行安装命令之前,还要安装一些依赖:HDF5「brew install hdf5」

sudo python setup.py install
您的浏览器已过时

要正常浏览本网站请升级您的浏览器。现在升级

×